This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 65776 - less segfaults in linux rescue mode
less segfaults in linux rescue mode
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-31 12:43 EDT by David Tonhofer
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2002-05-31 12:43:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
'less' segmentation faults under linux rescue mode (even w/o any
arguments). This is probably less an error about 'less' than about the
rescue mode

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start linux rescue mode from CD
2. In the tty1 shell, type
3. less
	

Actual Results:  Segmentation fault

Expected Results:  File contents should show up

Additional info:

'less' segmentation faults under linux rescue mode (even w/o any
arguments) Here is some information from strace and the debugger.
More can be delivered on request.

The last messages from strace before the fault:

strace:  close(3)       = 0
         brk(0)         = 0x805efb4
         brk(0x805efe4) = 0x805efe4
         brk(0x805f000) = 0x805f000

GDB says:

SIGSEGV in 0x0805a002 in _IO_stdin_used()
           0x08048e5a in _init()
           0x400690af in __libc_start_main()from /lib/libc.so.6

instructions: 0x805a000 jae 0x805a06a <_IO_stdin_used+13222>
              0x805a002 gs 
              0x805a003 insb (%dx),%es:(%edi)

This is probably not going to help much, so as I said -- ask
for more info if you want to.
Comment 1 Karsten Hopp 2002-06-04 05:45:44 EDT
doesn't seem to be a problem in less. changed component to anaconda
Comment 2 Michael Fulbright 2002-06-04 10:36:05 EDT
I haven't had this problem - if you look on VC3 and VC4 do you see any read
errors? If you were running rescue mode from a CD I would hazard to guess the CD
is bad.
Comment 3 Michael Fulbright 2002-07-15 12:53:45 EDT
Closing due to inactivty, please reopen if you have additional information to add.
Comment 4 Red Hat Bugzilla 2006-02-21 13:48:59 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.